package com.ruoyi.system.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class ActOperation extends BaseEntity {

    private static final long serialVersionUID = 1L;

    private Integer id;
    private String oneLevel;
    private String twoLevel;
    private String threeLevel;
    private String suppliesName;
    private String detaliesName;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOneLevel() {
        return oneLevel;
    }

    public void setOneLevel(String oneLevel) {
        this.oneLevel = oneLevel;
    }

    public String getTwoLevel() {
        return twoLevel;
    }

    public void setTwoLevel(String twoLevel) {
        this.twoLevel = twoLevel;
    }

    public String getThreeLevel() {
        return threeLevel;
    }

    public void setThreeLevel(String threeLevel) {
        this.threeLevel = threeLevel;
    }

    public String getSuppliesName() {
        return suppliesName;
    }

    public void setSuppliesName(String operationName) {
        suppliesName = operationName;
    }

    public String getDetaliesName() {
        return detaliesName;
    }

    public void setDetaliesName(String detaliesName) {
        this.detaliesName = detaliesName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("suppliesName", getSuppliesName())
                .append("detaliesName", getDetaliesName())
                .toString();
    }
}
